<div class="d-flex justify-content-center w-100">
  <div class="selection-container pl-3 pr-3 pt-3" style="overflow: unset">
    <div class="row mt-2">
      <div class="col">
        <div class="d-flex flex-row">
          <h5 class="mr-2">1. Search Patient</h5>
          <!-- <i class="far fa-check-circle" ng-class="{'green' : $ctrl.patient_selected}"></i> -->
          <img class="check-icon" src="../../../images/default.svg" ng-if="!$ctrl.patient_selected">
          <img class="check-icon" src="../../../images/green-1.svg" ng-if="$ctrl.patient_selected">
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-9">
        <div class="form-group">
          <label class="bm-label-14">Search Patient Name / IC Number / Contact Number</label>
          <div style="position: relative;">
            <input type="text" class="form-control" ng-model="$ctrl.searchStr" style="height: 48px;"
              ng-keyup="$ctrl.search_patient($ctrl.searchStr)" autocomplete="off">
            <i class="fas fa-search search-icon-pos"></i>
            <div ng-if = "!$ctrl.searchFlag && $ctrl.search_result_dropdown" class="search-drop-down-wrapper" click-outside="$ctrl.search_result_dropdown = false">
              <div class="scrollable-container">
                <div class="d-flex flex-row search-result-items p-2 align-items-center pointer"
                  ng-click="$ctrl.load_patient_info(a)" ng-repeat="a in $ctrl.search_data">
                  <div class="search-img-wrapper"><b>{{::a.first_name[0]}}{{::a.last_name[0]}}</b></div>
                  <div class="mx-2" style="width: 150px">
                    <div class="dark-grey-blue">
                      <b>{{::a.first_name}}</b>
                      <b>{{::a.last_name}}</b>
                    </div>
                    <div class="bluey-grey bm-label-9">{{::a.calc_birthday}}, {{::a.gender.short_name}}, {{::a.ethnic ||
                      "N/A"}}</div>
                  </div>
                  <div ng-if="::a.is_account_active">
                    <div class="search-result-status active-state">
                      <i class="fas fa-circle"></i>
                      Active
                    </div>
                  </div>
                  <div ng-if="::!a.is_account_active" class="d-flex flex-row align-items-center">
                    <div class="search-result-status inactive-state mr-2">
                      <i class="fas fa-circle"></i>
                      Inactive
                    </div>
                    <div class="bm-label-12">Reason: {{::a.reason}}</div>
                  </div>
                </div>
              </div>

              <!-- <div class="d-flex flex-row search-result-items p-2 align-items-center">
              <div class="search-img-wrapper"></div>
              <div class="mx-2" style="width: 150px">
                <div class="dark-grey-blue">
                  <b>Connie Smith</b>
                </div> 
                <div class="bluey-grey bm-label-9">33, F, Chinese</div>
              </div>
              <div class="d-flex flex-row align-items-center">
                <div class="search-result-status inactive-state mr-2">
                  <i class="fas fa-circle"></i>
                  Inactive
                </div>
                <div class="bm-label-12">Reason: Duplicate account</div>
              </div>
            </div> -->
              <div class="create-patient-wrapper">
                <div class="bm-label-12 mb-2">Can't find the patient profile?</div>
                <button class="create-new-btn pointer" ng-click="$ctrl.showAddPatientFormModal()">Create New Patient</button>
              </div>
            </div>
          </div>
        </div>
        <div class="searchError" ng-if = "$ctrl.searchFlag">
          {{$ctrl.searchErrorMessage}}
        </div>
      </div>
      <div class="ml-3">
        <div class="form-group">
          <label for="">&nbsp;</label><br>
          <button class="btn btn-danger biomark-btn-primary" style="box-shadow: none" ng-click="$ctrl.showAddPatientFormModal()">Add
            Patient</button>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- <eorder-new-patient is-edit="false" edit-data="null" ng-if="$ctrl.add_patient_modal"
  close-modal="$ctrl.close_add_patient_modal"></eorder-new-patient> -->

  <div ui-view>
    <patient-form-modal request="eorder"></patient-form-modal>
  </div>
